Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# VertexSlider Class Reference

This is an abstract base class that retains some slider value, which is a linear value that typically ranges from 0.0 to 1.0, and is used to control the animation of morphs (blend shapes). More...

Inheritance diagram for VertexSlider:

List of all members.

## Public Member Functions
UpdateSeq | getModified (Thread current_thread)
| Returns a sequence number that's guaranteed to change at least every time the value reported by get_slider() changes.
InternalName const | getName ()
| Returns the name of this particular slider.
float | getSlider ()
| output (ostream out)
| write (ostream out, int indent_level)
## Static Public Member Functions
static TypeHandle | getClassType ()

## Detailed Description

This is an abstract base class that retains some slider value, which is a linear value that typically ranges from 0.0 to 1.0, and is used to control the animation of morphs (blend shapes).

It is similar to VertexTransform, which keeps a full 4x4 transform matrix, but the VertexSlider only keeps a single float value.

## Member Function Documentation

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from TypedWritableReferenceCount.

Reimplemented in UserVertexSlider, and CharacterVertexSlider.

UpdateSeq getModified | ( | Thread | current_thread | ) |

Returns a sequence number that's guaranteed to change at least every time the value reported by get_slider() changes.

InternalName const getName | ( |  | ) |

Returns the name of this particular slider.

Every unique blend shape within a particular Geom must be identified with a different name, which is shared by the slider that controls it.

float getSlider | ( |  | ) |

output | ( | ostream | out | ) |

write | ( | ostream | out,
|  | int | indent_level
| ) |  |

All Classes Namespaces Functions Variables Enumerations Enumerator Properties